package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TdNotify;

/**
 * 检查通知Service接口
 * 
 * @author ruoyi
 * @date 2024-05-06
 */
public interface ITdNotifyService 
{
    /**
     * 查询检查通知
     * 
     * @param notifyId 检查通知主键
     * @return 检查通知
     */
    public TdNotify selectTdNotifyByNotifyId(Long notifyId);

    /**
     * 查询检查通知列表
     * 
     * @param tdNotify 检查通知
     * @return 检查通知集合
     */
    public List<TdNotify> selectTdNotifyList(TdNotify tdNotify);

    /**
     * 新增检查通知
     * 
     * @param tdNotify 检查通知
     * @return 结果
     */
    public int insertTdNotify(TdNotify tdNotify);

    /**
     * 修改检查通知
     * 
     * @param tdNotify 检查通知
     * @return 结果
     */
    public int updateTdNotify(TdNotify tdNotify);

    /**
     * 批量删除检查通知
     * 
     * @param notifyIds 需要删除的检查通知主键集合
     * @return 结果
     */
    public int deleteTdNotifyByNotifyIds(String notifyIds);

    /**
     * 删除检查通知信息
     * 
     * @param notifyId 检查通知主键
     * @return 结果
     */
    public int deleteTdNotifyByNotifyId(Long notifyId);
}
